#ifndef _MRAM_H_
#define _MRAM_H_
#include "board.h"
#include "configuration.h"

#define MR25H256_WREN	0x06
#define MR25H256_WRDI	0x04
#define MR25H256_RDSR	0x05
#define MR25H256_WRSR	0x01
#define MR25H256_READ	0x03
#define MR25H256_WRITE	0x02
#define MR25H256_SLEEP	0xB9
#define MR25H256_WAKE	0xAB


void MRAM_Init(void);
int MRAM_Read(uint16_t address, uint8_t *data, int len);
int MRAM_Write(uint16_t address, uint8_t *data, int len);
#ifdef USE_MRAM_COMMAND
#ifdef USE_CMDLINE
unsigned char MRAM_DBG(tPar *pPar, unsigned char ucParNum, unsigned char ucSwitch);
#endif
#endif
#endif
